curl --request GET \
--url https://sandbox.layerfi.com/v1/businesses/{businessId}/tax-estimates/overview \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.layerfi.com/v1/businesses/{businessId}/tax-estimates/overview"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.layerfi.com/v1/businesses/{businessId}/tax-estimates/overview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"type": "Tax_Overview",
"year": 2025,
"excludes_pending_transactions": true,
"taxable_income_estimate": 123,
"total_income": 123,
"total_deductions": 123,
"estimated_taxes_owed": 123,
"taxes_due_date": "2025-04-15"
}
}{
"type": "InvalidParameters",
"description": "<string>",
"error_enum": "InvalidPayload",
"meta": {}
}Get tax overview
Returns high-level tax summary for dashboard display. Each summary field includes a corresponding URL for retrieving itemized breakdowns.
What the numbers mean
Each field is derived from the same calculation as Get tax details, rolled up:total_income: total business income (Schedule C revenue) plus any W-2/other income included in the calculation, in cents.total_deductions: total deductions applied (business expenses, vehicle, home office, qualified tip/overtime, self-employment tax deduction), in cents.taxable_income_estimate: the estimated taxable income after deductions, in cents.estimated_taxes_owed: total projected tax liability (federal + state), in cents.taxes_due_date: the next tax deadline in ISO-8601 date format.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Content-Type must be set to application/json.
Path Parameters
The UUID of the business.
Query Parameters
The tax year (e.g., 2025). Supported years: 2024-2026.
The accounting basis for reporting. Defaults to the business's default reporting basis, or CASH if not set.
ACCRUAL, CASH Whether to project income/expenses for the full year based on year-to-date data. Only applicable for the current year. Defaults to false.
Response
Tax overview for the specified year.
High-level tax summary for dashboard display. Use GET /v1/businesses/{businessId}/tax-estimates/details for itemized breakdowns.
Show child attributes
Show child attributes